Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 261431 - konsole-4.4.1 and earlier doesn't honour "Word characters for double-click selection" option.
Summary: konsole-4.4.1 and earlier doesn't honour "Word characters for double-click se...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 313999
  Show dependency tree
 
Reported: 2009-03-06 11:37 UTC by adriancz
Modified: 2010-04-09 06:05 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild with patch line to fix the character selection behaviour. (konsole-4.2.1-r1.ebuild,699 bytes, text/plain)
2009-03-17 15:52 UTC, Jeremy Sermersheim
Details
mandriva konsole character selction patch (kdebase-revert-4.2.0-behavior.patch,1.13 KB, patch)
2009-03-17 15:53 UTC, Jeremy Sermersheim
Details | Diff
patch for konsole 4.2.2 (wordchar-selection.patch,1.80 KB, patch)
2009-04-28 21:22 UTC, DarkNRG
Details | Diff
ebuild for konsole 4.2.2 (konsole-4.2.2.ebuild,677 bytes, text/plain)
2009-04-28 21:23 UTC, DarkNRG
Details

Note You need to log in before you can comment on or make changes to this bug.
Description adriancz 2009-03-06 11:37:20 UTC
Konsole doesn't honour "Word characters for double-click selection" option.


Reproducible: Always

Steps to Reproduce:
1. upgrade konsole to 4.2.1
2.
3.




There is patch that fixes this issue http://195.68.226.253/mziab/gentoo/kdebase-revert-4.2.0-behavior.patch

It comes from mandriva.
Comment 1 rafnov 2009-03-09 09:58:10 UTC
Why not posting working ebuild?
I've found one in kde-testing overlay which has the same patch, but emerge fails with:

* Unpacking parts of kdebase-apps-4.2.1.tar.bz2 to /pt/temp/portage/kde-base/konsole-4.2.1-r1/work ...
cannot make stat on `kdebase-apps-4.2.1': there's no such file or directory.
Comment 2 Tomáš Chvátal (RETIRED) gentoo-dev 2009-03-09 11:30:52 UTC
You have to use whole kde-testing or not, dont worry it will hit tree soon.
Comment 3 Jeremy Sermersheim 2009-03-17 15:52:09 UTC
Created attachment 185322 [details]
ebuild with patch line to fix the character selection behaviour.

The patch from mandriva (posted above) fixes the problem for me.  I've attached an updated ebuild based off the konsole-4.2.1.ebuild from the portage tree.
Comment 4 Jeremy Sermersheim 2009-03-17 15:53:28 UTC
Created attachment 185324 [details, diff]
mandriva konsole character selction patch

Just uploading the patch that was linked to above for reference
Comment 5 DarkNRG 2009-04-28 21:22:31 UTC
Created attachment 189740 [details, diff]
patch for konsole 4.2.2

The same problem persists in konsole 4.2.2.

I've added a modified ebuild and the corresponding patch.
The patch is based on http://tinyurl.com/cmfqmq.
Comment 6 DarkNRG 2009-04-28 21:23:07 UTC
Created attachment 189741 [details]
ebuild for konsole 4.2.2
Comment 7 Andreas K. Hüttel archtester gentoo-dev 2010-02-21 21:06:14 UTC
Bug still present in 4.4.0
Comment 8 Andreas K. Hüttel archtester gentoo-dev 2010-03-12 16:27:06 UTC
Confirmed for 4.4.1
Comment 9 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-09 01:51:36 UTC
@Andreas, please try with 4.4.2, then test the patch and commit it in kde overlay if it works. Thanks
Comment 10 Andreas K. Hüttel archtester gentoo-dev 2010-04-09 06:05:50 UTC
Fixed in 4.4.2

(The german translation is wrong, it says "word delimiters" instead of "word characters", but the functionality is there and the english version is ok.

Filing an upstream bug on the translation.)
https://bugs.kde.org/show_bug.cgi?id=233805